Page MenuHomePhabricator

Update, replace or delete maps-tiles1
Closed, ResolvedPublic

Description

The Labs instance maps-tiles1.maps.eqiad.wmflabs is running Ubuntu Precise. It needs to be deleted, replaced, or upgraded in place. (The latter is a bit risky but I think @dschwen already has a record of success there.)

Event Timeline

Andrew created this task.Feb 9 2017, 6:06 PM
Restricted Application added a project: Discovery. · View Herald TranscriptFeb 9 2017, 6:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Emailed dschwen, aude, rillke, max on 2017-02-20.

I personally am not using this instance. It might be in use live for the OSM gadget on the german Wikipedia (does https://tiles.wmflabs.org/ point to that machine?)
If nobody else steps up I could try to log in and see if do-release-upgrade works there, too (it did for my instances). This will most likely require a rebuild of the map stack on that machine, though. But if the machine is lost otherwise it might just be worth the risk.

(copy of my email reply to Andrerw et al.)

Ok, there is an apache2 with modtile, a renderd, and a (small 34MB)_ postgres 9.1 database running on there.
modtile and renderd are installed from http://ppa.launchpad.net/kakrueger/osm-unstable/ubuntu/
For modtile and renderd there are trusty packages on that PPA.

I think step one is figuring out whether or not it's used by the rest of the maps project, or is fully vestigial?

Hmmm, Yeah. I did /etc/init.d/renderd stop and apache2ctl stop and the OSM widget tile service on de.WP still functioned just as good/bad (lots of 404 at high zooms either way).

Looking closer at the apache2 config it looks liek this is a debug/experimental server

ServerName tile.mytileserver.org
ServerAlias a.tile.mytileserver.org b.tile.mytileserver.org c.tile.mytileserver.org

logs are pretty much empty (despite log level _info_)

So... shut it down, and delete on 3/30 if no one complains?

Is this related related or maybe dependent on these? T157359 (postgres osm servers?).

Yes, shut down now, delete later.

@jcrespo, as I understand it this labs project doesn't interact with production Maps systems at all. It seems to be a fully volunteer (or at least wmde) run setup.

Andrew closed this task as Resolved.Feb 20 2017, 8:38 PM

@dschwen, fantastic. Thank you for investigating!

aude added a subscriber: aude.Feb 20 2017, 10:46 PM

not aware of this being used though not entirely sure. I think it was experimental at one point before we had production maps support.

not sure if anything on German Wikipedia uses this. I do see https://tools.wmflabs.org/geohack/geohack.php?pagename=Freiburg_im_Breisgau&language=de&params=47.994828_N_7.849881_E_region:DE-BW_type:city(226393) uses tiles.wmflabs.org but that might be different labs instances. Anyway, it would be easy enough to change to use production map tiles.

scfc added a subscriber: scfc.Feb 21 2017, 12:38 AM

tiles.wmflabs.org is served by the instance maps-tiles3 in the project maps:

sqlite> SELECT project.name, url FROM backend JOIN route ON route_id = route.id JOIN project ON project_id = project.id WHERE domain = 'tiles.wmflabs.org.';
maps|http://maps-tiles3.eqiad.wmflabs:80
sqlite>